Order and Inventory
Order and Inventory
  1. Orders
  • Orders
    • Create Order
      POST
    • Get Order Status
      POST
    • Get Order Fulfillment Detail
      POST
  • Inventory
    • Get Inventory
      POST
    • Get PIM Data
      POST
  • Schemas
    • Schemas
      • Item
      • Order
      • Order-Status-Parameters
      • Order-Fulfillment-Parameters
      • inline_response_200
      • inline_response_200_1
      • inline_response_200_2
      • InventoryPIM_images
      • InventoryPIM_prices
      • inline_response_200_3
      • inline_response_200_1_shipmentDetails_serialDetails
      • inline_response_200_1_shipmentDetails_lineDetails
      • inline_response_200_1_shipmentDetails_carton
      • inline_response_200_1_shipmentDetails
      • inline_response_200_1_shipNotice
  1. Orders

Get Order Fulfillment Detail

POST
https://test.v1.vertexapi.com/Orders/orderfulfillment
The /orders/orderfulfillment endpoint returns detailed fulfillment information for orders processed through the Vertex API.
By supplying either the Vertex Sales Order (SO) number or your order reference, you can retrieve shipment tracking data, carrier details, fulfillment dates, and item-level serial breakdowns.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://auth.v1.vertexapi.com/oauth2/token
Refresh URL: https://auth.v1.vertexapi.com/oauth2/token
or
Body Params application/json

Examples

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://test.v1.vertexapi.com/Orders/orderfulfillment' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "order": "ORDER1234"
}'
Response Response Example
{
    "shipNotice": [
        {
            "vertexOrder": "string",
            "customerOrder": "string",
            "shipDate": "string",
            "shipmentDetails": {
                "carton": [
                    {
                        "UCC128": "string",
                        "tracking": "string",
                        "shipMethod": "string",
                        "shipCarrier": "string",
                        "lineDetails": [
                            {
                                "lineNum": "string",
                                "vertexPart": "string",
                                "vendorName": "string",
                                "upc": "string",
                                "customerPart": "string",
                                "quantityShipped": 0,
                                "serialDetails": [
                                    {
                                        "serialNumber": "string",
                                        "imei2": "string",
                                        "eSIM": "string",
                                        "mechanical": "string",
                                        "software": "string"
                                    }
                                ]
                            }
                        ]
                    }
                ]
            }
        }
    ]
}
Modified at 2025-09-06 15:59:55
Previous
Get Order Status
Next
Get Inventory
Built with